⚠ PharHub will be closed down in early 2023. More information

PharHub

Install phars via Composer

phpcs 3.0.2

PHP_CodeSniffer tokenizes PHP, JavaScript and CSS files and detects violations of a defined set of coding standards.

Package phpcs
URL https://github.com/squizlabs/PHP_CodeSniffer/releases/download/3.0.2/phpcs.phar
Downloads 0
Release date
Available since
Requirements
{
    "php": ">=5.4.0",
    "ext-tokenizer": "*",
    "ext-xmlwriter": "*",
    "ext-simplexml": "*"
}
Replacements
{
    "squizlabs/PHP_CodeSniffer": "self.version"
}

Into a project:

composer require pharhub/phpcs '^3.0.2'

Into a project, but only for development:

composer require --dev pharhub/phpcs '^3.0.2'

Globally:

composer global require pharhub/phpcs '^3.0.2'

Note: To install any packages from PharHub, you need to add PharHub to your repositories first.
Please see instructions on the home page.